Bug 197532 - RFE Choice of packages and its size increments on selection
RFE Choice of packages and its size increments on selection
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 15:54 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 23:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-07-03 15:54:25 EDT
Description of problem:
This is a RFE with respect to Kadischi.
It would be nice to have anaconda calculate the expected size of iso image
during package selection (when run in --livecd mode)
The size of the iso image will be based on mksquashfs
 - to be able to parse a factor to do the calculation with respect to the actual
size of the selected packages.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-07-03 23:50:07 EDT
The size can't be done during package selection -- dep resolution on the fly
would make it *way* too slow to be viable.
Comment 2 Jasper O. Hartline 2006-07-05 23:45:47 EDT
I agree, I think this is Kadischi's job for now. 
Right now observed SquashFS compression comes out to between 2.5 and 2.7 times
smaller than the original builddir's rootfs.

So what we've done is simply query the rootfs RPMdb headers for the SIZE and add
them up, divide by 2.5 and print how many bytes estimated it would be. This
actually works and works well for this task. The querying is done immediately
after Anaconda exits. 

Note You need to log in before you can comment on or make changes to this bug.